GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Signals | Public Member Functions | Private Slots | Private Attributes | List of all members
GpgFrontend::UI::KeyPairOperaTab Class Reference
Inheritance diagram for GpgFrontend::UI::KeyPairOperaTab:
Collaboration diagram for GpgFrontend::UI::KeyPairOperaTab:

## Signals
void | SignalKeyDatabaseRefresh ()

## Public Member Functions
| KeyPairOperaTab (const std::string &key_id, QWidget *parent)
| Construct a new Key Pair Opera Tab object. More...
void | CreateOperaMenu ()
| Create a Opera Menu object.

## Private Slots
void | slot_export_private_key ()
void | slot_export_short_private_key ()
void | slot_export_public_key ()
void | slot_modify_edit_datetime ()
void | slot_modify_password ()
void | slot_upload_key_to_server ()
void | slot_update_key_from_server ()
void | slot_gen_revoke_cert ()
void | slot_modify_tofu_policy ()
void | slot_set_owner_trust_level ()

## Private Attributes
GpgKey | m_key_
QMenu * | key_server_opera_menu_ {}
QMenu * | secret_key_export_opera_menu_ {}

## Constructor & Destructor Documentation

## ◆ KeyPairOperaTab()

GpgFrontend::UI::KeyPairOperaTab::KeyPairOperaTab | ( | const std::string & | key_id,
|  | QWidget * | parent
| ) |  |

Construct a new Key Pair Opera Tab object.

Parameters

  key_id |
  parent |

References CreateOperaMenu(), GpgFrontend::UI::SignalStation::GetInstance(), GpgFrontend::SingletonFunctionObject< GlobalSettingStation >::GetInstance(), GpgFrontend::GlobalSettingStation::GetUISettings(), GpgFrontend::GpgKey::IsHasMasterKey(), and GpgFrontend::GpgKey::IsPrivateKey().

## Member Function Documentation

## ◆ slot_export_private_key

void GpgFrontend::UI::KeyPairOperaTab::slot_export_private_key | ( |  | ) |
| private slot

Export the key to a file, which is chosen in a file dialog

References GpgFrontend::GpgKey::GetEmail(), GpgFrontend::GpgKey::GetId(), GpgFrontend::SingletonFunctionObject< GpgKeyImportExporter >::GetInstance(), GpgFrontend::GpgKey::GetName(), and GpgFrontend::write_buffer_to_file().

Referenced by CreateOperaMenu().

The documentation for this class was generated from the following files:

- src/ui/dialog/keypair_details/KeyPairOperaTab.h
- src/ui/dialog/keypair_details/KeyPairOperaTab.cpp